Bug 694404 - DOC: add man pages for systemd-ask-password, systemd-*-ask-password-agent and systemd-machine-id-setup
DOC: add man pages for systemd-ask-password, systemd-*-ask-password-agent and...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: systemd-RFE
  Show dependency treegraph
 
Reported: 2011-04-07 04:57 EDT by Rahul Sundaram
Modified: 2012-08-08 19:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 19:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2011-04-07 04:57:34 EDT
Description of problem:

With the latest systemd in Fedora 15 branch,  I have the following binaries 

---
systemd                           systemd-notify
systemd-analyze                   systemd-nspawn
systemd-ask-password              systemd-stdio-bridge
systemd-cgls                      systemd-tmpfiles
systemd-gnome-ask-password-agent  systemd-tty-ask-password-agent
systemd-machine-id-setup          

---

Atleast some of these appear to be helper binaries that shouldn't be called directly by the user.  Should move these to libexec and for the rest, man pages should be added.  Some of them are missing one.
Comment 1 Lennart Poettering 2011-04-08 11:31:11 EDT
These binaries are all at the right places since they need to be in $PATH.

systemd-analyze currently doesn't have a man page, since I don't want to make its interface official in any way by documenting it.

systemd-stdio-bridge is not a user command. It is used to implement "systemctl -H" and "systemctl -P", will only be called by systemd tools themselves, but it needs to be in the $PATH for that. I don't think a man page for a binary that is not supposed to be called by the user would be a good thing.

systemd, systemd-notify, systemd-nspawn, systemd-tmpfiles, systemd-cgls have man pages.

For systemd-ask-password, systemd-*-ask-password-agent and systemd-machine-id-setup I am happy to take man page patches!
Comment 2 Lennart Poettering 2011-04-08 11:57:45 EDT
I now added a man page for systemd-ask-password to systemd git.
Comment 3 Fedora Admin XMLRPC Client 2011-10-20 12:27:00 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Jóhann B. Guðmundsson 2012-01-26 17:00:29 EST
Adding this to fit and finish tracker bug
Comment 5 Jóhann B. Guðmundsson 2012-02-20 06:43:51 EST
Given that we will be only back porting important fixes for F15 at this point
in time I'm moving this RFE against Rawhide so it does not get forgotten or
lost in the EOL process.
Comment 6 Lennart Poettering 2012-08-08 19:03:42 EDT
systemd-*-ask-password-agent and systemd-machine-id-setup do have man pages now in F18 and newer. Closing.

Note You need to log in before you can comment on or make changes to this bug.